var Translate = Class.create();
Translate.prototype = {
    initialize: function(data){
        this.data = $H(data);
    },

    translate : function(){
    	/**
    	 * @todo substituição de varáveis, como no PHP
    	 */
        var args = arguments;
        var text = arguments[0];
        
        if(this.data.get(text)){
            return this.data.get(text);
        }
        this.add(text);
        return text;
    },
    add : function() {
        var args = arguments;
        var pars = 'text=' + arguments[0].replace("&", "%26");
        var myAjax = new Ajax.Request(baseUrl + '/' + langSM + '/index/addTranslate', {
        	method: 'post',
        	postBody: pars
        });
        // debug
        //alert(arguments[0]);
    }
}
